h5utils (1.13.2-2build2) stonking; urgency=medium

  * No-change rebuild for hdf5 2.2.

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Aug 2026 17:12:49 +0100

h5utils (1.13.2-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:09:45 +0000

h5utils (1.13.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 18:59:17 +0100

h5utils (1.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to fix filenamemangle.
  * Update GitHub repo URL.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Jan 2023 05:48:32 +0100

h5utils (1.13.1-5) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add patch to fix acute-accent-in-manual-page issues.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 10:29:50 +0100

h5utils (1.13.1-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update gbp.conf to use --source-only-changes by default.
  * Include architecture.mk instead of using dpkg-architecture.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Drop libmatheval-dev build dependency, RC buggy.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Apr 2020 12:22:16 +0200

h5utils (1.13.1-3) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 18:48:37 +0200

h5utils (1.13.1-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from changelog, control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jul 2018 13:31:33 +0200

h5utils (1.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Strip trailing whitespace from changelog.
  * Update copyright-format URL to use HTTPS.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.
  * Update copyright years for Massachusetts Institute of Technology.
  * Drop patches, applied upstream.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update watch file for GitHub releases.
  * Update Homepage & Source URLs for GitHub.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Mar 2018 07:58:00 +0100

h5utils (1.13-2) unstable; urgency=medium

  * Team upload.
  * Don't install docs, files no longer included.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Jul 2017 07:30:39 +0200

h5utils (1.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Update copyright file.
  * Drop png1.5 patch, fixed upstream.
  * Add patch to fix build with optional manpages.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Jul 2017 17:40:58 +0200

h5utils (1.12.1-6) unstable; urgency=medium

  * Team upload.
  * Add manpage for h4fromh5.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 May 2016 22:54:27 +0200

h5utils (1.12.1-5) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 00:05:54 +0200

h5utils (1.12.1-4) unstable; urgency=medium

  * Team upload.
  * Drop octave support to not need manual dependency changes every transition.
    (closes: #799394)
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Sep 2015 08:32:16 +0200

h5utils (1.12.1-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for move to git.
  * Restructure control file with cme.
  * Bump debhelper compatibility to 9.
  * Reorder build dependencies, change libz-dev to zlib1g-dev.
  * Switch to source format 3.0 (quilt).
  * Update copyright file using copyright-format 1.0.
  * Use minimal dh rules with autoreconf.
  * Override dh_install to use --list-missing.
  * Include README in docs.
  * Refresh png1.5 patch, add DEP3 headers.
  * Add watch file.
  * Add gbp.conf to use pristine-tar by default.
  * Fix 'allows one to' typo in package description.
  * Add patch to fix man page warning.
  * Override dh_auto_install to strip h5read.oct manually.
  * Bump Standards-Version to 3.9.6, changes:
    - canonical Vcs-* URLs
    - copyright-format 1.0
    - minimal dh rules for new mandatory targets
  * Add dependency on liboctave3 not included in ${shlibs:Depends}.
    (closes: #793150)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Jul 2015 01:48:55 +0200

h5utils (1.12.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756670).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 17:44:53 +0200

h5utils (1.12.1-2) unstable; urgency=low

  * Fixed a FTBS with libpng 1.5: patch png1.5.
    (closes: #650488)
  * Fixed b-d on new octave -dev package for octave transition.
    (closes: #667063)
  * Now depending on current hdf5 -dev package.
  * Dropped versioned name dep for libmatheval -dev b-d.
    (closes: #612754)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 15 May 2012 11:13:14 +0200

h5utils (1.12.1-1) unstable; urgency=low

  * New upstream release with better Octave autodetection.
  * Dropped octave.diff patch.
  * Ack of previous NMU with merge of moving to Octave 3.2 support.
    (closes: #574020)
  * Policy bumped to 3.8.4, no changes required.
  * Fixed LFS support detection for HDF5 in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 04 Apr 2010 20:07:33 +0200

h5utils (1.12-2) unstable; urgency=low

  * Changed build-dep in libhdf4-dev instead of libhdf4g-dev.
    (closes: #540400)
  * Added a versioned build-dep on hdf5 >= 1.8.3 to force rebuilding
    with a current version of the library.
  * Now protects quilt pushing.
    (closes: #538549)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 04 Nov 2009 22:04:55 +0100

h5utils (1.12-1) unstable; urgency=low

  * New upstream release.
    (closes: #532934, #525176, #491579)
  * Added quilt build-dep to provide patches to upstream stuff.
  * Partially ack NMU 1.10-7.1 to fix obsolete octave dependency and depend
    on octave-config instead of running octave at building time. Autotools
    stuff is properly regenerated to updated in respect with the new
    configure.ac. Resulting quilt patch is patches/octave.diff.
    (closes: #516453)
  * Added Homepage and Vcs-* fields in debian/control.
  * Policy bumped to 3.8.2.
  * [Lintian] debian-rules-ignores-make-clean-error fixed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Jun 2009 15:25:38 +0200

h5utils (1.10-7) unstable; urgency=low

  * New maintainership team. Added me as uploader.
    (closes: #393101)
  * Debhelper level set to 5.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 May 2007 09:53:01 +0200

h5utils (1.10-6) unstable; urgency=low

  * QA upload.
  * Fixed package description (Closes: #363631).

 -- Nico Golde <nion@debian.org>  Mon, 23 Apr 2007 21:28:51 +0200

h5utils (1.10-5) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:10:31 +0200

h5utils (1.10-4) unstable; urgency=low

  * Rebuild against HDF5 1.6.5.
    + Build-depend on this version at least.

 -- Josselin Mouette <joss@debian.org>  Sat,  4 Mar 2006 17:05:59 +0100

h5utils (1.10-3) unstable; urgency=low

  * Makefile.am:
    + Really build the plugin with -fPIC (closes: #338088).
    + Use mkoctfile's -s option.
  * Re-run aclocal and automake.

 -- Josselin Mouette <joss@debian.org>  Thu, 10 Nov 2005 21:46:22 +0100

h5utils (1.10-2) unstable; urgency=low

  * control:
    + Build-depend on octave2.1-headers.
    + Mention the octave plugin in the description.
  * rules:
    + Build the octave h5read plugin.
    + Use DESTDIR instead of hacking the prefix.
    + Clean h5read.oct.
  * Makefile.{am,in}: build the octave plugin with -fPIC.
  * compat: switch to compatibility level 4 for debhelper.

 -- Josselin Mouette <joss@debian.org>  Mon,  7 Nov 2005 21:44:20 +0100

h5utils (1.10-1) unstable; urgency=low

  * New upstream release (closes: #326402).
  * Standards-version is 3.6.2.
  * Configure with --with-hdf4.

 -- Josselin Mouette <joss@debian.org>  Sat,  3 Sep 2005 16:55:40 +0200

h5utils (1.9.1-3) unstable; urgency=low

  * Rebuild against HDF5 1.6.4-0c2.

 -- Josselin Mouette <joss@debian.org>  Wed, 31 Aug 2005 16:29:01 +0200

h5utils (1.9.1-2) unstable; urgency=low

  * Rebuild against HDF5 1.6.4.
    + Build-depend on version 1.6.4 at least.
  * Build-depend on libpng-dev instead of libpng12-dev.

 -- Josselin Mouette <joss@debian.org>  Sun,  5 Jun 2005 17:44:56 +0200

h5utils (1.9.1-1) unstable; urgency=low

  * New upstream release (closes: #259095).
  * control: build-depend on libmatheval1-dev.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Oct 2004 11:40:55 +0200

h5utils (1.8-1) unstable; urgency=low

  * New upstream release (closes: #250400).

 -- Josselin Mouette <joss@debian.org>  Mon, 24 May 2004 13:44:43 +0200

h5utils (1.7.2-9) unstable; urgency=low

  * Rebuild against hdf5 1.6.2.

 -- Josselin Mouette <joss@debian.org>  Mon, 22 Mar 2004 18:04:56 +0100

h5utils (1.7.2-8) unstable; urgency=low

  * Rebuild against hdf5 1.6.1.
  * Standards-version is 3.6.1, no changes.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Oct 2003 16:47:43 +0100

h5utils (1.7.2-7) unstable; urgency=low

  * Rebuild against new hdf5 packages.

 -- Josselin Mouette <joss@debian.org>  Mon, 21 Jul 2003 23:56:14 +0200

h5utils (1.7.2-6) unstable; urgency=low

  * Rebuild against HDF5 1.6.0.
  * Standards-version is 3.6.0.
  * Update libpng stuff.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Jul 2003 00:37:01 +0200

h5utils (1.7.2-5) unstable; urgency=low

  * Rebuild against HDF5 1.4.5.
  * Don't build h5read.oct anymore, as octave 2.1 now natively reads
    HDF5 slices.
  * Cleanup rules file a bit.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Mar 2003 17:57:27 +0100

h5utils (1.7.2-4) unstable; urgency=low

  * Build h5fromh4 (build-depend on libhdf4g-dev).
  * Enable LFS when HDF5 is built with LFS support.

 -- Josselin Mouette <joss@debian.org>  Thu, 10 Oct 2002 21:09:18 +0200

h5utils (1.7.2-3) unstable; urgency=low

  * Build-depend on g++-3.0 on ia64 (which is a workaround for a bug in
    mkoctfile), to solve the build regression.
  * debian/rules: should now follow 3.5.7 standards-version.

 -- Josselin Mouette <joss@debian.org>  Wed,  2 Oct 2002 18:35:23 +0200

h5utils (1.7.2-2) unstable; urgency=high

  * Rebuild against HDF5 1.4.4, with a build-time dependency.
  * Add upstream URL in package description.
  * Remove debian/shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Sep 2002 12:17:48 +0200

h5utils (1.7.2-1) unstable; urgency=low

  * New upstream release (1.7.1-7 patch went upstream).
  * Makefile.in: build h5read.oct with -fPIC (closes: #152987).

 -- Josselin Mouette <joss@debian.org>  Tue, 16 Jul 2002 14:58:26 +0200

h5utils (1.7.1-7) unstable; urgency=low

  * h5read.cc: corrected string typo for G++ 3.0 (closes: #152987).
  * debian/copyright: detail typo.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Jul 2002 10:41:19 +0200

h5utils (1.7.1-6) unstable; urgency=low

  * debian/rules: added upstream changelog to documentation.

 -- Josselin Mouette <joss@debian.org>  Wed, 19 Jun 2002 12:14:56 +0200

h5utils (1.7.1-5) unstable; urgency=low

  * Makefile.in: clean for h5topng.1
  * debian/control: changed short description (closes: #148440).

 -- Josselin Mouette <joss@debian.org>  Wed, 19 Jun 2002 11:29:05 +0200

h5utils (1.7.1-4) unstable; urgency=low

  * debian/rules: changed command line to get octave architecture.

 -- Josselin Mouette <joss@debian.org>  Sat, 25 May 2002 01:50:27 +0200

h5utils (1.7.1-3) unstable; urgency=low

  * Makefile.in: added -s option to mkoctfile.
  * debian/rules: stripping h5read.oct.

 -- Josselin Mouette <joss@debian.org>  Thu, 25 Apr 2002 13:09:29 +0200

h5utils (1.7.1-2) unstable; urgency=low

  * debian/control: changed maintainer email.
  * First upload to Debian (closes: #143269).

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Apr 2002 11:06:23 +0200

h5utils (1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Sun, 17 Mar 2002 03:09:19 +0100

h5utils (1.7-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 12 Mar 2002 17:12:46 +0100

h5utils (1.6-1) unstable; urgency=low

  * Initial Release.
  * Suppressed h5tov5d (requires too big software),
    h5read (obsoleted by octave-2.1) and h5fromh4
    (obsoleted by libhdf5).

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 23 Oct 2001 11:47:53 +0200
